<?php header("Access-Control-Allow-Origin: *");
  header("Access-Control-Allow-Headers: *");  

  header('Content-Type: application/json');

  $json = file_get_contents('php://input');
  $obj = json_decode($json, true);

  include '../db/connectMe.php';   
  include '../function/function.php';  

  // (C) GENERATE JWT TOKEN
  require "../vendor/autoload.php";
  use Firebase\JWT\JWT;

  // (A) NO data
  if (!isset($_GET["bd"])  || !isset($_GET["br"])  || !isset($_GET["typeId"]) ) {

    $error = array('error' => 'something went wrong');
    exit( json_encode($error) ); 

  }

  if( AuthorizeMe(@substr(getallheaders()["Authorization"], 7)) ){

    $jwt = substr(getallheaders()["Authorization"], 7);

    //Decoding data
    $decodeToken = (json_decode(base64_decode(str_replace('_', '/', str_replace('-','+',explode('.', $jwt)[1]))))->data);

    if(!isset($decodeToken)){

      exit(json_encode(array("error" => "unauthorised") ));

    }



    //sales products

    if (isset($_GET["bd"]) && isset($_GET["br"])  && isset($_GET["typeId"]) ) {


      @$sellTypeId = mysql_prep($_GET['typeId']); 
      @$status = 1;

      @$prodSpec = mysql_prep($_GET['bd']);
      @$soldBranch = mysql_prep($_GET['br']);
                   
      $soldProSet = find_all_sold_pro_for_sell_type_and_branch_and_spec($prodSpec, $sellTypeId, $soldBranch, $status);


      foreach ($soldProSet as $soldPro[]) {

        $item = $soldPro;

        $json = json_encode($item);

      }

      exit($json) ;


    }

  
  }else{

    exit(json_encode(array("error" => "unauthorised") ));

  }
